ZMQSocket::setSockOpt
ZMQPoll
ZMQSocket
PHP Manual

# ZMQSocket::unbind

(PECL zmq >= 1.0.4)

ZMQSocket::unbind — Unbind the socket

### Description

public ZMQSocket ZMQSocket::unbind ( string `$dsn` )

Unbind the socket from an endpoint. The endpoint is defined in format transport://address where transport is one of the following: inproc, ipc, tcp, pgm or epgm.

### Parameters

`dsn`

  The previously bound dsn, for example transport://address.

### Return Values

Returns the current object. Throws ZMQSocketException on error.

ZMQSocket::setSockOpt
ZMQPoll
ZMQSocket
PHP Manual